//
//  ViewController.m
//  jumpbutton
//
//  Created by 乔光玉 on 2018/5/4.
//  Copyright © 2018年 乔光玉. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    NSTimer * myTimer ;
    UIButton * button ;
}
@end

@implementation ViewController
-(void)addtimer{
    
    myTimer = [NSTimer timerWithTimeInterval:2.0 target:self selector:@selector(timerFired) userInfo:nil repeats:YES];
    
    [[NSRunLoop currentRunLoop]addTimer:myTimer forMode:NSRunLoopCommonModes];
}
-(void)removeTimer{
    [myTimer invalidate];
    //因为定时器停止后则变为无效定时器 所以需要从内存中移除
    myTimer = nil;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    button = [[UIButton alloc]initWithFrame:CGRectMake(40, 200, 250, 72)];
    [button setImage:[UIImage imageNamed:@"翻译"] forState:UIControlStateNormal];
    [self.view addSubview:button];
    [self addtimer];
}
#define Angle2Radian(angle) ((angle) / 180.0 * M_PI)
-(void)timerFired{
    
    CAKeyframeAnimation *anim = [CAKeyframeAnimation animation];
    anim.keyPath = @"transform.rotation";
    
    anim.values = @[@(Angle2Radian(-5)), @(Angle2Radian(5)), @(Angle2Radian(-5))];
    anim.duration = 0.25;
    
    // 动画次数设置为最大
    anim.repeatCount = 3;
    // 保持动画执行完毕后的状态
    anim.removedOnCompletion = YES;
    anim.fillMode = kCAFillModeForwards;
    [button.layer addAnimation:anim forKey:@"shake"];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
